using Common.Library.SQL.MySQL;
using System;
using System.Data;
using Common.Library.DataLayer.DTO.Websites.JasonNeumannAudio.com;


namespace Common.Library.DataLayer.DAO.Websites.JasonNeumannAudio.com
{
    public class AboutPageDAO : MySQL
    {
        public AboutPageDAO(DBConnectionInformation connectionInformation) : base(connectionInformation){ }

        public AboutPageDTO SelectAboutPageText()
        {
            InitConnection();
            AboutPageDTO item = null;

            try
            {
                DBCommand.CommandType = CommandType.StoredProcedure;
                DBCommand.CommandText = "about_page_select_text";
                DBReader = DBCommand.ExecuteReader();

                if(DBReader.Read())
                {
                    item = new()
                    {
                        AboutPageID = GetInt("AboutPageID").Value,
                        AboutPageText = FormatNewLineForHTML(GetString("AboutPageText"), 2)
                    };
                }

                return item;
            }
            catch(Exception)
            {
                throw;
            }
            finally
            {
                DisposeConnection();
            }
        }
    }
}